Doomsday 1.9.0-beta6 to support only OpenGL

The Doomsday Engine Development blog has announced it will drop support for Direct3D. Doomsday 1.9.0-beta6 will see support for Direct3D dropped. For architectural reasons, development on the rendering plugins (drOpenGL and drD3D) has proved quite troublesome, not just the fact that whatever was implemented in one had to be done to the other (typically first in OpenGL and later in Direct3D). On our modern systems, there is very little to pick and choose between OpenGL and Direct3D and both have very good vender support (not like the early days of hardware acceleration when typically one of which your card/drivers just didn’t ‘like’). Given that OpenGL is cross-platform (and the API is nicer IMO) it is the obvious choice to continue development with.

Jun 25, 2007 | Category: General

Comments

<< Back to main

 
Column Footer